from dataclasses import dataclass
from metadata import MetaDataTestEnum
from metadata import MetaDataPeriodEnum

@dataclass
class Exam:
    title: str
    date: str
    timeslot: str
    duration: str

    @classmethod
    def from_metadata(cls, metadata : MetaDataTestEnum):
        formatted_test_title = {
            MetaDataTestEnum.ATTENDANCE: 'Présence',
            MetaDataTestEnum.DIGITAL: 'EPREUVE Numérique',
            MetaDataTestEnum.ENGLISH: 'EPREUVE Anglais'
        }.get(metadata.test)

        return Exam(title=formatted_test_title, 
                date=metadata.date.format('DD MMMM YYYY', locale='fr'),
                duration='30 min',
                timeslot='10:00 - 10:30' if metadata.period != MetaDataPeriodEnum.AM else '14:00 - 14:30'
        )